
export function dataInJs() {
  var  newTableColumns = [
        {
            title: "id",
            align: "center",
            minWidth: 100,
            key: "id",
            ifShow: true,
            sort: 0,
        },
        {
            title: "尺寸确认",
            align: "center",
            width: 100,
            sort: 1,
            ifShow: true,
            key: "size",
        },
        {
            title: "工艺",
            align: "center",
            width: 80,
            ifShow: true,
            sort: 2,
            key: "craft",
        },
        {
            title: "分箱",
            align: "center",
            width: 80,
            sort: 2,
            ifShow: true,
            key: "binning",
        },
        {
            title: "已下达",
            align: "center",
            width: 90,
            ifShow: true,
            sort: 2,
            key: "processed",
        },
        {
            title: "流程卡",
            align: "center",
            sort: 2,
            ifShow: true,
            width: 90,
            key: "flowCard",
        },
        {
            title: "入库",
            align: "center",
            width: 80,
            sort: 2,
            ifShow: true,
            key: "entry",
        },
        {
            title: "发货",
            align: "center",
            width: 80,
            sort: 2,
            ifShow: true,
            key: "shipments",
        },
        {
            title: "收款",
            align: "center",
            width: 90,
            sort: 2,
            key: "gathering",
            ifShow: true,
        },
        {
            title: "套料",
            align: "center",
            width: 90,
            sort: 2,
            key: "jacking",
            ifShow: true,
        },
        {
            title: "价格审核",
            align: "center",
            width: 100,
            sort: 2,
            key: "priceReview",
            ifShow: true,
        },
        {
            title: "外协",
            align: "center",
            width: 90,
            sort: 2,
            key: "outsource",
            ifShow: true,
        },
        {
            title: "分厂",
            align: "center",
            minWidth: 100,
            key: "branch",
            sort: 2,
            ifShow: true,
        },
        {
            title: "MES",
            align: "center",
            minWidth: 100,
            key: "MSE",
            sort: 6,
            ifShow: true,
        },
        {
            title: "单据状态",
            align: "center",
            sort: 2,
            ifShow: true,
            minWidth: 100,
            key: "receiptsState",
        },
        {
            title: "客户编号",
            sort: 2,
            align: "center",
            minWidth: 100,
            ifShow: true,
            key: "customerId",
        },
        {
            title: "客户名称",
            sort: 2,
            align: "center",
            minWidth: 100,
            ifShow: true,
            key: "customerName",
        },
        {
            title: "地区",
            align: "center",
            minWidth: 100,
            key: "region",
            ifShow: true,
            sort: 2,
        },
        {
            title: "工程ID",
            align: "center",
            minWidth: 100,
            key: "projectId",
            ifShow: true,
            sort: 2,
        },
        {
            title: "工程名称",
            align: "center",
            minWidth: 100,
            key: "projectName",
            ifShow: true,
            sort: 2,
        },
        {
            title: "合同编号",
            align: "center",
            minWidth: 100,
            key: "contractNumber",
            ifShow: true,
            sort: 2,
        },
        {
            title: "对方编号",
            align: "center",
            minWidth: 100,
            key: "adverseNumber",
            ifShow: true,
            sort: 2,
        },
        {
            title: "包装方式",
            align: "center",
            minWidth: 100,
            key: "mannerPacking",
            ifShow: true,
            sort: 2,
        },
        {
            title: "订单类型",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "orderType",
        },
        {
            title: "铝条方式",
            align: "center",
            minWidth: 100,
            key: "aluminiumType",
            ifShow: true,
            sort: 2,
        },
        {
            title: "业务员",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "salesman",
        },
        {
            title: "联系人",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "linkman",
        },
        {
            title: "联系电话",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "phone",
        },
        {
            title: "报表日期",
            align: "center",
            minWidth: 120,
            ifShow: true,
            sort: 2,
            key: "reportDate",
        },
        {
            title: "总周长",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "perimeter",
        },
        {
            title: "总数量",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "total",
        },
        {
            title: "总结算面积",
            align: "center",
            minWidth: 100,
            key: "settlementArea",
            ifShow: true,
            sort: 2,
        },
        {
            title: "总金额",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "totalMoney",
        },
        {
            title: "收款金额",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "receivableAmount",
        },
        {
            title: "折扣金额",
            align: "center",
            minWidth: 100,
            key: "discountAmount",
            ifShow: true,
            sort: 2,
        },
        {
            title: "欠款金额",
            align: "center",
            minWidth: 100,
            key: "debtAmount",
            ifShow: true,
            sort: 2,
        },
        {
            title: "总实际面积",
            align: "center",
            minWidth: 100,
            key: "actualArea",
            ifShow: true,
            sort: 2,
        },
        {
            title: "工艺员",
            align: "center",
            minWidth: 100,
            key: "technologist",
            ifShow: true,
            sort: 2,
        },
        {
            title: "打印次数",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "printTime",
        },
        {
            title: "标签次数",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "labelTime",
        },
        {
            title: "制单员",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "makingPart",
        },
        {
            title: "制单日期",
            align: "center",
            ifShow: true,
            sort: 2,
            minWidth: 120,
            key: "documentationDate",
        },
        {
            title: "审核人",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "auditor",
        },
        {
            title: "审核日期",
            align: "center",
            minWidth: 120,
            ifShow: true,
            sort: 2,
            key: "approvalDate",
        },
        {
            title: "交货日期",
            align: "center",
            minWidth: 120,
            ifShow: true,
            sort: 2,
            key: "deliveryDate",
        },
        {
            title: "生产交期",
            align: "center",
            minWidth: 120,
            ifShow: true,
            sort: 2,
            key: "producedDate",
        },
        {
            title: "送货地址",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "deliveryAddress",
        },
        {
            title: "附件",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "accessory",
        },
        {
            title: "加工要求",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "process",
        },
        {
            title: "结算币种",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "settleAccounts",
        },
        {
            title: "付款条件",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "paymentClause",
        },
        {
            title: "加工要求",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "process",
        },
        {
            title: "特别备注",
            align: "center",
            ifShow: true,
            sort: 2,
            minWidth: 100,
            key: "specialNote",
        },
        {
            title: "备注",
            align: "center",
            minWidth: 100,
            ifShow: true,
            sort: 2,
            key: "remark",
        },
        {
            title: "CrmId",
            align: "center",
            ifShow: true,
            sort: 2,
            minWidth: 100,
            key: "crmId",
        },
        {
            title: "来源",
            align: "center",
            ifShow: true,
            sort: 2,
            minWidth: 100,
            key: "source",
        },
        {
            title: "操作",
            align: "center",
            ifShow: true,
            sort: 9,
            minWidth: 100,
            slot: "set",
        },
    ];
    return newTableColumns;
}
