const routerMap = [
  {
    path: "/cms/home",
    name: "Home", //首页
    meta: {
      title: '主页',

    },
    component: (resolve) => require(["@/views/Home"], resolve),
  },
  {
    path: "/cms/product",
    name: "product", //xui
    meta: {
      title: '销售订单'
    },
    component: (resolve) => require(["@/views/salesOrder/list"], resolve),

  },
  {

    path: "/cms/product/particulars", meta: {
      title: '销售订单/详情'
    }, component: (resolve) => require(["@/views/salesOrder/particulars"], resolve),

  },
  {
    path: "/cms/pointsShelfList",
    name: "pointsShelfList", //施工
    meta: {
      title: '分架列表'
    },
    component: (resolve) => require(["@/views/pointsShelfList/list"], resolve),
  },
  {
    path: "/cms/pointsShelfList/particulars", meta: {
      title: '分架列表/详情'
    }, component: (resolve) => require(["@/views/pointsShelfList/particulars"], resolve),

  },
  {
    path: "/cms/workOrder",
    name: "workOrder", //施工
    meta: {
      title: '派工单'
    },
    component: (resolve) => require(["@/views/workOrder/list"], resolve),
  },
  {
    path: "/cms/workOrder/particulars", meta: {
      title: '派工单/详情'
    }, component: (resolve) => require(["@/views/workOrder/particulars"], resolve),

  },
  {
    path: "/cms/godownEntry",
    name: "godownEntry",
    meta: {
      title: '入库单'
    },
    component: (resolve) => require(["@/views/godownEntry/list"], resolve),
  },
  {
    path: "/cms/godownEntry/particulars", meta: {
      title: '入库单/详情'
    }, component: (resolve) => require(["@/views/godownEntry/particulars"], resolve),

  },
];
export default routerMap;