this.newTableColumns = [
  {
    title: "自序",
    align: "center",
    minWidth: 100,
    ifShow: true,
    sort: 0,
    type: "index",
    key: "index",
  },
  {
    title: "id",
    align: "center",
    minWidth: 100,
    key: "id",
    ifShow: true,
    sort: 0,
  },
  {
    title: "辅助信息缺人",
    align: "center",
    width: 120,
    sort: 1,
    ifShow: true,
    key: "auxiliary_information",
  },
  {
    title: "本分厂",
    align: "center",
    width: 80,
    ifShow: true,
    sort: 2,
    key: "factory",
  },
  {
    title: "下分厂",
    align: "center",
    width: 80,
    sort: 2,
    ifShow: true,
    key: "theFactory",
  },
  {
    title: "单据编号",
    align: "center",
    width: 90,
    ifShow: true,
    sort: 2,
    key: "receiptNumber",
  },
  {
    title: "当前工序",
    align: "center",
    sort: 2,
    ifShow: true,
    width: 90,
    key: "current_process",
  },
  {
    title: "处理方式",
    align: "center",
    width: 80,
    sort: 2,
    ifShow: true,
    key: "process_mode",
  },
  {
    title: "单据状态",
    align: "center",
    width: 80,
    sort: 2,
    ifShow: true,
    key: "documents_state",
  },
  {
    title: "订单编号",
    align: "center",
    width: 90,
    sort: 2,
    key: "order_no",
    ifShow: true,
  },
  {
    title: "客户名称",
    align: "center",
    width: 90,
    sort: 2,
    key: "customer_name",
    ifShow: true,
  },
  {
    title: "项目名称",
    align: "center",
    width: 100,
    sort: 2,
    key: "project_name",
    ifShow: true,
  },
  {
    title: "报表日期",
    align: "center",
    width: 90,
    sort: 2,
    key: "reportDate",
    ifShow: true,
  },
  {
    title: "班次",
    align: "center",
    minWidth: 100,
    key: "classes",
    sort: 2,
    ifShow: true,
  },
  {
    title: "流程卡号",
    align: "center",
    minWidth: 100,
    key: "card_number",
    sort: 6,
    ifShow: true,
  },
  {
    title: "制单员",
    align: "center",
    sort: 2,
    ifShow: true,
    minWidth: 100,
    key: "making_part",
  },
  {
    title: "审核人",
    sort: 2,
    align: "center",
    minWidth: 100,
    ifShow: true,
    key: "auditor",
  },
  {
    title: "审核日期",
    sort: 2,
    align: "center",
    minWidth: 100,
    ifShow: true,
    key: "approvalDate",
  },
  {
    title: "班组",
    align: "center",
    minWidth: 100,
    key: "team_group",
    ifShow: true,
    sort: 2,
  },
  {
    title: "设备",
    align: "center",
    minWidth: 100,
    key: "equipment",
    ifShow: true,
    sort: 2,
  },
  {
    title: "总数量",
    align: "center",
    minWidth: 100,
    key: "total",
    ifShow: true,
    sort: 2,
  },
  {
    title: "打印次数",
    align: "center",
    minWidth: 100,
    key: "printTime",
    ifShow: true,
    sort: 2,
  },
  {
    title: "备注",
    align: "center",
    minWidth: 100,
    key: "remark",
    ifShow: true,
    sort: 2,
  },
  {
    title: "审核后备注",
    align: "center",
    minWidth: 100,
    key: "remarks_after_audit",
    ifShow: true,
    sort: 2,
  },
  {
    title: "送货地址",
    align: "center",
    minWidth: 100,
    ifShow: true,
    sort: 2,
    key: "deliveryAddress",
  },
  {
    title: "库存备注",
    align: "center",
    minWidth: 100,
    key: "inventory_note",
    ifShow: true,
    sort: 2,
  },
  {
    title: "操作",
    align: "center",
    ifShow: true,
    sort: 9,
    minWidth: 100,
    slot: "set",
  },
];
this.tableData = [
  {
    id: 1,
    size: 0,
    craft: 0, //工艺
    binning: 0, // 分箱
    processed: 1, //已下达
    flowCard: 0, //流程卡
    entry: 1, //入库
    shipments: 0, //发货
    gathering: 0, //收款
    jacking: 1, // 套料
    priceReview: 1, //价格审核
    outsource: 1, // 外协
    branch: "分厂",
    MSE: "这是MSE",
    receiptsState: 1, // 0 未审核 1 已审核
    customerId: "这是客户编号",
    customerName: "这是客户名称",
    region: "这是地区",
    projectId: "这是工程ID",
    projectName: "这是工程名称",
    receiptNumber: "这是单据编号",
    contractNumber: "这是合同编号",
    adverseNumber: "这是对方编号",
    mannerPacking: "这是包装方式",
    orderType: 0, //0 普通订单
    aluminiumType: "这是铝条方式",
    salesman: "这是业务员",
    linkman: "这是联系人",
    phone: "17886512521",
    reportDate: "1652852478", //报表日期
    perimeter: "145.123", //总周长
    total: "", //总数量
    settlementArea: "175.21331", //总结算面积
    totalMoney: "500", //总金额
    receivableAmount: "收款金额",
    discountAmount: "这是折扣金额",
    debtAmount: "这是欠款金额",
    actualArea: "这是总实际面积",
    technologist: "这是工艺员",
    printTime: 0, //打印次数
    labelTime: 0, //标签次数
    makingPart: "这是制单员",
    documentationDate: "1652852478", //制单日期
    auditor: "这时审核人", // 审核人
    approvalDate: "1652852478", // 审核日期
    deliveryDate: "1652852478", //交货日期
    producedDate: "1652852478", //生产交期
    deliveryAddress: "这是送货地址",
    accessory: "这是附件",
    process: "这是加工要求",
    settleAccounts: "人民币",
    paymentClause: "这是付款条件",
    specialNote: "这是特别备注",
    remark: "这是备注",
    crmId: "这是crmid",
    source: "这是来源",
  },
];